Bug 53905 - compilation stops because of strdup() undefined
Summary: compilation stops because of strdup() undefined
Status: RESOLVED FIXED
Alias: None
Product: arts
Classification: Miscellaneous
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Solaris
: NOR normal (vote)
Target Milestone: ---
Assignee: Stefan Westerfeld
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-02-02 14:38 UTC by Cyril Plisko
Modified: 2003-06-27 01:24 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Cyril Plisko 2003-02-02 14:38:57 UTC
Version:            (using KDE KDE 3.1)
Installed from:    Compiled From Sources
Compiler:          CC: S1SCC 8 C++ 5.5 EA1 2002/11/07  (Solaris/SPARC) 
OS:          Solaris

arts-1.1/mcop/{tcp,unix}connection.cc compilation bails out
because of absence of #include <string.h> which declares
strdup()
Comment 1 George Staikos 2003-06-27 01:24:51 UTC
Subject: ARTS_1_1_BRANCH: arts/mcop

CVS commit by staikos: 

Apply the patch for 53905.

It's been sitting there for over 4 months now.  :(

CCMAIL: 53905-done@bugs.kde.org


  M +1 -0      connection.cc   1.14.6.2


--- arts/mcop/connection.cc  #1.14.6.1:1.14.6.2
@@ -25,4 +25,5 @@
 #include "debug.h"
 #include <stdio.h>
+#include <string.h> // for Solaris
 #include <queue>
 #include <algorithm>